Notícia: Ardour perde suporte a LV2

A próxima atualização do Ardour não terá suporte a LV2 por conta da remoção do SLV2 de suas dependências. Isso é resultado de uma incompatibilidade de API/ABI entre as últimas versões da suíte Redland/Rasqal/Raptor e das bibliotecas internas do Ardour, que dependem de SLV2. Isso é basicamente o que causou as falhas de compilação e segfaults que podem ter ocorrido com você.

Os desenvolvedores não atualizarão o código já que todos os esforços estão voltados para a versão 3 do DAW, que não irá mais usar o SLV2 (e que possivelmente irá adotar outra implementação do padrão LV2). Até o momento ninguém enviou patches para corrigir o problema. Não é possível disponibilizar pacotes de compatibilidade neste caso, e assim sendo, nós resolvemos retirar o suporte a LV2 do pacote Ardour. Os usuários ainda poderão utilizar o os plugins LADSPA ou então recorrer a outras opções de LV2 com a ajuda do pacote jack e suas capacidades de roteamento.

Notícia original postada por Ray Rashif em 08-07-2011.